#include<fstream>
#include<math.h>
#include<algorithm>
using namespace std;
int main()
{
    ifstream f1("EXPLORE.INP");
    ofstream f2("EXPLORE.OUT");
    int n,t;
    f1>>t>>n;
    int f[n];
    int i;
    for(i=0;i<n;i++)
    {
        f1>>f[i];
        if(f[i]<0) f[i]*=-2;
    }
    f1.close();
    sort(f,f+n);
    for(i=n-1;i>=0;i--)
    {
        if(f[i]<=t)
        {
            f2<<i+1;
            break;
        }
    }
    f2.close();
    return 0;
}
